API ReferenceTicket Form
Replaces the TicketForm resource
Replaces the TicketForm resource
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
Path Parameters
id*string
TicketForm identifier
The updated TicketForm resource
TypeScript Definitions
Use the request body type in TypeScript.
name*string
Length
length <= 100description?|
Length
length <= 500shortAnswerFields?array<>
longAnswerFields?array<>
singleChoiceFields?array<>
multipleChoiceFields?array<>
dropdownFields?array<>
subjectField*integer
Range
0 <= valueclientEmailField*integer
Range
0 <= valueclientNameField*integer
Range
0 <= valuecontentField*integer
Range
0 <= valueallowForAttachmentsOnCreate*boolean
allowForAttachments*boolean
operator?|
Format
uuidticketBranding?|
Format
uuidResponse Body
curl -X PUT "https://example.com/ticket/ticket-forms/string" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "subjectField": 0, "clientEmailField": 0, "clientNameField": 0, "contentField": 0, "allowForAttachmentsOnCreate": true, "allowForAttachments": true }'{ "fields": [ { "order": 0, "name": "string", "isRequired": true, "fieldType": "string" } ], "subjectField": 0, "clientEmailField": 0, "clientNameField": 0, "contentField": 0, "allowForAttachmentsOnCreate": true, "allowForAttachments": true, "ticketBranding": {}, "createdAt": "2019-08-24T14:15:22Z", "createdBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "contractorName": "string", "jobPositionName": "string" }, "updatedAt": "2019-08-24T14:15:22Z", "updatedBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "contractorName": "string", "jobPositionName": "string" }, "operator": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "contractorName": "string", "jobPositionName": "string" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "name": "string", "description": "string"}